Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Null_ObserverStrategy Class Reference

A null observer strategy. More...

`#include <EC_ObserverStrategy.h>`

Inheritance diagram for TAO_EC_Null_ObserverStrategy:

[legend]
Collaboration diagram for TAO_EC_Null_ObserverStrategy:

[legend]
List of all members.

## Public Methods
| TAO_EC_Null_ObserverStrategy (void)
| Constructor.
virtual RtecEventChannelAdmin::Observer_Handle | append_observer (RtecEventChannelAdmin::Observer_ptr ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_APPEND_OBSERVER)
| The basic methods to support the EC strategies.
virtual void | remove_observer (RtecEventChannelAdmin::Observer_Handle ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_REMOVE_OBSERVER)
virtual void | connected (TAO_EC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_EC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | connected (TAO_EC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_EC_ProxyPushSupplier *ACE_ENV_ARG_DECL_NOT_USED)

## Detailed Description

A null observer strategy.

This class keeps no information and simply ignores the messages from the EC.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Null_ObserverStrategy::TAO_EC_Null_ObserverStrategy | ( | void |  | ) |

| Constructor.

## Member Function Documentation

RtecEventChannelAdmin::Observer_Handle TAO_EC_Null_ObserverStrategy::append_observer | ( | RtecEventChannelAdmin::Observer_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_APPEND_OBSERVER)`[virtual]`

| The basic methods to support the EC strategies. Implements TAO_EC_ObserverStrategy.

void TAO_EC_Null_ObserverStrategy::connected | ( | TAO_EC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Used by the EC to inform the ObserverStrategy that a Supplier has connected or disconnected from it. Implements TAO_EC_ObserverStrategy.

void TAO_EC_Null_ObserverStrategy::connected | ( | TAO_EC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Used by the EC to inform the ObserverStrategy that a Consumer has connected or disconnected from it. Implements TAO_EC_ObserverStrategy.

void TAO_EC_Null_ObserverStrategy::disconnected | ( | TAO_EC_ProxyPushSupplier * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Implements TAO_EC_ObserverStrategy.

void TAO_EC_Null_ObserverStrategy::disconnected | ( | TAO_EC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Implements TAO_EC_ObserverStrategy.

void TAO_EC_Null_ObserverStrategy::remove_observer | ( | RtecEventChannelAdmin::Observer_Handle | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, RtecEventChannelAdmin::EventChannel::SYNCHRONIZATION_ERROR, RtecEventChannelAdmin::EventChannel::CANT_REMOVE_OBSERVER)`[virtual]`

| Implements TAO_EC_ObserverStrategy.

The documentation for this class was generated from the following files:

- EC_ObserverStrategy.h
- EC_ObserverStrategy.cpp
- EC_ObserverStrategy.i